if not modules then modules = { } end modules ['lang-txt'] = {
    version   = 1.001,
    comment   = "companion to lang-lab.mkiv",
    author    = "Hans Hagen, PRAGMA-ADE, Hasselt NL",
    copyright = "PRAGMA ADE / ConTeXt Development Team",
    license   = "see context related readme files",
    dataonly  = true,
}

-- The content of this file is derived from the mkii lang-* files and
-- early 2011 the mkii labels are generated from this file. The
-- translations have been collected over years by users, using named
-- glyphs. This file uses utf exclusively.
--
-- Many of the initial translations were done by Tobias Burnus but
-- completed by numerous users. The following list is incomplete so feel
-- free to send me corrections.
--
-- af    Afrikaans      ...
-- ar    Arabic         Idris Samawi Hamid, Khaled Hosny
-- ca    Catalan        ...
-- cn    Chinese        Wang Lei, ...
-- cs    Czech          Tom Hudec, Petr Sojka, Richard Gabriel
-- da    Danish         Arne Jorgensen
-- de    German         Tobias Burnus, ...
-- en    English        Hans Hagen, ...
-- es    Spanish        Andrés Montoya, ...
-- et    Estonian       Clyde Johnston
-- fi    Finish         ...
-- fr    French         Daniel Flipo, Arthur Reutenauer
-- gr    Greek          Apostolos Syropoulos, Thomas Schmitz
-- hr    Croatian       Željko Vrba, Richard Gabriel, Vedran Miletić
-- hu    Hungarian      Adam Reviczky
-- it    Italian        Giuseppe Bilotta, Luigi Scarso
-- ja    Japanese       Richard Gabriel
-- kr    Korean         Jeong Dalyoung
-- la    Latin          ...
-- lt    Lithuanian     Marius Aleknevičius
-- nb    Norwegian      Hans Fredrik Nordhaug, ...
-- nn    Norwegian      Hans Fredrik Nordhaug, ...
-- nl    Dutch          Hans Hagen
-- pe    Persian        Mohammad Hossein Bateni
-- pl    Polish         Grzegorz Sapijaszko
-- pt    Portuguese     Pedro F. M. Mendonça
-- ro    Romanian       Dan Seracu, ...
-- ru    Russian        Olga Briginets, Alexander Bokovoy, Victor Figurnov, ...
-- sk    Slovak         ...
-- sl    Slovenian      Mojca Miklavec
-- sv    Swedish        ...
-- tk    Turkish        Tobias Burnus
-- tr    Turkmen        Nazar Annagurban
-- ua    Ukrainian      Olga Briginets, Alexander Bokovoy, Victor Figurnov, ...
-- vi    Vietnamese     Han The Thanh

-- For the moment we keep this table in memory. In the future we can then
-- enable labels.

-- thinspace == sixperemspace = 0x2006
-- print("!"..utf.char(0x2006).."!")

languages       = languages or { }
local languages = languages

languages.data  = languages.data or utilities.storage.allocate { }
local data      = languages.data

data.labels={
 ["btx"]={
  ["In"]={
   ["labels"]={
    ["en"]="In",
    ["es"]="En",
    ["fr"]="Dans",
    ["pe"]="در",
   },
  },
  ["Number"]={
   ["labels"]={
    ["de"]="Numer",
    ["en"]="Number",
    ["fr"]="Numéro",
    ["nl"]="Nummer",
    ["pe"]="شماره",
   },
  },
  ["Volume"]={
   ["labels"]={
    ["de"]="Band",
    ["en"]="Volume",
    ["et"]="Köide",
    ["nl"]="Deel",
    ["pe"]="جلد",
   },
  },
  ["and"]={
   ["labels"]={
    ["de"]="und",
    ["en"]="and",
    ["es"]="y",
    ["et"]="ja",
    ["fr"]="et",
    ["it"]="e",
    ["nl"]="en",
    ["pe"]="و",
   },
  },
  ["edition"]={
   ["labels"]={
    ["de"]="Auflage",
    ["en"]="edition",
    ["es"]="edición",
    ["et"]="väljaanne",
    ["fr"]="édition",
    ["it"]="edizione",
    ["nl"]="editie",
    ["pe"]="ویرایش",
   },
  },
  ["editor"]={
   ["labels"]={
    ["de"]="Herausgeber",
    ["en"]="editor",
    ["et"]="toimetaja",
    ["fr"]="éditeur",
    ["it"]="a cura di",
    ["pe"]="ویراستار",
   },
  },
  ["editors"]={
   ["labels"]={
    ["de"]="Herausgeber",
    ["en"]="editors",
    ["es"]="editores",
    ["et"]="toimetajad",
    ["fr"]="éditeurs",
    ["it"]="a cura di",
   },
  },
  ["in"]={
   ["labels"]={
    ["en"]="in",
    ["es"]="en",
    ["fr"]="dans",
    ["pe"]="در",
   },
  },
  ["mastersthesis"]={
   ["labels"]={
    ["de"]="Masterarbeit",
    ["en"]="Master's thesis",
    ["es"]="Tesis de maestría",
    ["et"]="magistritöö",
    ["fr"]="Thèse de master (DEA, DESS, master)",
    ["it"]="Tesi di laurea",
    ["nl"]="Masterproef",
    ["pe"]="پایان‌نامه کارشناسی ارشد",
   },
  },
  ["number"]={
   ["labels"]={
    ["de"]="Numer",
    ["en"]="number",
    ["fr"]="numéro",
    ["nl"]="nummer",
    ["pe"]="شماره",
   },
  },
  ["of"]={
   ["labels"]={
    ["de"]="von",
    ["en"]="of",
    ["fr"]="de",
    ["nl"]="van",
   },
  },
  ["others"]={
   ["labels"]={
    ["en"]="et al.",
    ["et"]="jt",
   },
  },
  ["p"]={
   ["labels"]={
    ["de"]="S.",
    ["en"]="p.",
    ["et"]="lk",
    ["pe"]="ص",
   },
  },
  ["pages"]={
   ["labels"]={
    ["de"]="Seiten",
    ["en"]="pages",
    ["et"]="leheküljed",
    ["nl"]="paginas",
    ["pe"]="صفحات",
   },
  },
  ["patent"]={
   ["labels"]={
    ["de"]="Patent",
    ["en"]="Patent",
    ["es"]="Patente",
    ["et"]="Patent",
    ["fr"]="Brevet",
    ["it"]="Brevetto",
    ["nl"]="Octrooi",
   },
  },
  ["phdthesis"]={
   ["labels"]={
    ["de"]="Dissertation",
    ["en"]="PhD thesis",
    ["es"]="Tesis doctoral",
    ["et"]="doktoritöö",
    ["fr"]="Thèse de doctorat",
    ["it"]="Tesi di dottorato",
    ["nl"]="Proefschrift",
    ["pe"]="رساله دکتری",
   },
  },
  ["pp"]={
   ["labels"]={
    ["de"]="S.",
    ["en"]="pp.",
    ["et"]="lk-d",
    ["pe"]="صص",
   },
  },
  ["technicalreport"]={
   ["labels"]={
    ["de"]="Technischer Bericht",
    ["en"]="Technical report",
    ["es"]="Informe técnico",
    ["et"]="tehniline raport",
    ["fr"]="Rapport technique",
    ["it"]="Relazione tecnica",
    ["nl"]="Technisch rapport",
    ["pe"]="گزارش فنی",
   },
  },
  ["volume"]={
   ["labels"]={
    ["de"]="Band",
    ["en"]="volume",
    ["et"]="köide",
    ["nl"]="deel",
    ["pe"]="جلد",
   },
  },
  ["with"]={
   ["labels"]={
    ["de"]="mit",
    ["en"]="with",
    ["es"]="con",
    ["et"]="koos",
    ["fr"]="avec",
    ["it"]="con",
    ["nl"]="met",
   },
  },
 },
 ["functions"]={
  ["Pr"]={
   ["labels"]={
    ["cz"]="P",
    ["en"]="Pr",
    ["sk"]="P",
   },
  },
  ["arccos"]={
   ["labels"]={
    ["cz"]="arccos",
    ["en"]="arccos",
    ["es"]="arc\\sixperemspace cos",
    ["hr"]="arc\\sixperemspace cos",
    ["pl"]="arc\\sixperemspace cos",
    ["sk"]="arccos",
   },
  },
  ["arccosh"]={
   ["labels"]={
    ["cz"]="arccosh",
    ["en"]="arccosh",
    ["es"]="arc\\sixperemspace cosh",
    ["hr"]="arc\\sixperemspace cosh",
    ["pl"]="arc\\sixperemspace cosh",
    ["sk"]="arccosh",
   },
  },
  ["arcctg"]={
   ["labels"]={
    ["cz"]="arccotg",
    ["en"]="arccot",
    ["es"]="arc\\sixperemspace cot",
    ["hr"]="arc\\sixperemspace ctg",
    ["pl"]="arc\\sixperemspace ctg",
    ["sk"]="arccotg",
   },
  },
  ["arcsin"]={
   ["labels"]={
    ["cz"]="arcsin",
    ["en"]="arcsin",
    ["es"]="arc\\sixperemspace sen",
    ["hr"]="arc\\sixperemspace sin",
    ["pl"]="arc\\sixperemspace sin",
    ["sk"]="arcsin",
   },
  },
  ["arcsinh"]={
   ["labels"]={
    ["cz"]="arcsinh",
    ["en"]="arcsinh",
    ["es"]="arc\\sixperemspace senh",
    ["hr"]="arc\\sixperemspace sinh",
    ["pl"]="arc\\sixperemspace sinh",
    ["sk"]="arcsinh",
   },
  },
  ["arctan"]={
   ["labels"]={
    ["cz"]="arctg",
    ["en"]="arctan",
    ["es"]="arc\\sixperemspace tan",
    ["hr"]="arc\\sixperemspace tg",
    ["pl"]="arc\\sixperemspace tg",
    ["sk"]="arctg",
   },
  },
  ["arctanh"]={
   ["labels"]={
    ["cz"]="arctgh",
    ["en"]="arctanh",
    ["es"]="arc\\sixperemspace tanh",
    ["hr"]="arc\\sixperemspace tgh",
    ["pl"]="arc\\sixperemspace tgh",
    ["sk"]="arctg",
   },
  },
  ["arg"]={
   ["labels"]={
    ["cz"]="arg",
    ["en"]="arg",
    ["es"]="arg",
    ["sk"]="arg",
   },
  },
  ["cos"]={
   ["labels"]={
    ["cz"]="cos",
    ["en"]="cos",
    ["es"]="cos",
    ["sk"]="cos",
   },
  },
  ["cosh"]={
   ["labels"]={
    ["cz"]="cosh",
    ["en"]="cosh",
    ["es"]="cosh",
    ["sk"]="cosh",
   },
  },
  ["cot"]={
   ["labels"]={
    ["cz"]="cotg",
    ["en"]="cot",
    ["es"]="cot",
    ["hr"]="ctg",
    ["pl"]="ctg",
    ["sk"]="cotg",
   },
  },
  ["coth"]={
   ["labels"]={
    ["cz"]="cotgh",
    ["en"]="coth",
    ["es"]="coth",
    ["sk"]="cotgh",
   },
  },
  ["csc"]={
   ["labels"]={
    ["cz"]="cosec",
    ["en"]="csc",
    ["es"]="csc",
    ["sk"]="cosec",
   },
  },
  ["ctg"]={
   ["labels"]={
    ["cz"]="cotg",
    ["en"]="cot",
    ["es"]="cot",
    ["hr"]="ctg",
    ["pl"]="ctg",
    ["sk"]="cotg",
   },
  },
  ["deg"]={
   ["labels"]={
    ["cz"]="deg",
    ["en"]="deg",
    ["es"]="gr",
    ["sk"]="deg",
   },
  },
  ["det"]={
   ["labels"]={
    ["cz"]="det",
    ["en"]="det",
    ["es"]="det",
    ["sk"]="det",
   },
  },
  ["diff"]={
   ["labels"]={
    ["en"]="d",
   },
  },
  ["dim"]={
   ["labels"]={
    ["cz"]="dim",
    ["en"]="dim",
    ["es"]="dim",
    ["sk"]="dim",
   },
  },
  ["exp"]={
   ["labels"]={
    ["cz"]="exp",
    ["en"]="exp",
    ["es"]="exp",
    ["sk"]="exp",
   },
  },
  ["gcd"]={
   ["labels"]={
    ["cz"]="NSD",
    ["en"]="gcd",
    ["es"]="mcd",
    ["hr"]="nzd",
    ["nl"]="ggd",
    ["sk"]="NSD",
   },
  },
  ["hom"]={
   ["labels"]={
    ["cz"]="Hom",
    ["en"]="hom",
    ["es"]="hom",
    ["sk"]="Hom",
   },
  },
  ["inf"]={
   ["labels"]={
    ["cz"]="inf",
    ["en"]="inf",
    ["es"]="inf",
    ["sk"]="inf",
   },
  },
  ["injlim"]={
   ["labels"]={
    ["cz"]="inj\\sixperemspace lim",
    ["en"]="inj\\sixperemspace lim",
    ["es"]="lím\\sixperemspace iny",
    ["sk"]="inj\\sixperemspace lim",
   },
  },
  ["ker"]={
   ["labels"]={
    ["cz"]="ker",
    ["en"]="ker",
    ["es"]="Ker",
    ["sk"]="ker",
   },
  },
  ["lcm"]={
   ["labels"]={
    ["cz"]="NSN",
    ["en"]="lcm",
    ["es"]="MCM",
    ["hr"]="nzv",
    ["nl"]="kgv",
    ["sk"]="NSN",
   },
  },
  ["lg"]={
   ["labels"]={
    ["cz"]="log",
    ["en"]="lg",
    ["es"]="log",
    ["sk"]="log",
   },
  },
  ["lim"]={
   ["labels"]={
    ["cz"]="lim",
    ["en"]="lim",
    ["es"]="lím",
    ["sk"]="lim",
   },
  },
  ["liminf"]={
   ["labels"]={
    ["cz"]="lim\\sixperemspace inf",
    ["en"]="lim\\sixperemspace inf",
    ["es"]="lím\\sixperemspace inf",
    ["sk"]="lim\\sixperemspace inf",
   },
  },
  ["limsup"]={
   ["labels"]={
    ["cz"]="lim\\sixperemspace sup",
    ["en"]="lim\\sixperemspace sup",
    ["es"]="lím\\sixperemspace sup",
    ["sk"]="lim\\sixperemspace sup",
   },
  },
  ["ln"]={
   ["labels"]={
    ["cz"]="ln",
    ["en"]="ln",
    ["es"]="ln",
    ["sk"]="ln",
   },
  },
  ["log"]={
   ["labels"]={
    ["cz"]="log",
    ["en"]="log",
    ["es"]="log",
    ["sk"]="log",
   },
  },
  ["max"]={
   ["labels"]={
    ["cz"]="max",
    ["en"]="max",
    ["es"]="máx",
    ["sk"]="max",
   },
  },
  ["median"]={
   ["labels"]={
    ["cz"]="\\tilde",
    ["en"]="median",
    ["es"]="Mediana",
    ["sk"]="\\tilde",
   },
  },
  ["min"]={
   ["labels"]={
    ["cz"]="min",
    ["en"]="min",
    ["es"]="mín",
    ["sk"]="min",
   },
  },
  ["mod"]={
   ["labels"]={
    ["cz"]="mod",
    ["en"]="mod",
    ["es"]="mod",
    ["sk"]="mod",
   },
  },
  ["projlim"]={
   ["labels"]={
    ["cz"]="proj\\sixperemspace lim",
    ["en"]="proj\\sixperemspace lim",
    ["es"]="lím\\sixperemspace proy",
    ["sk"]="proj\\sixperemspace lim",
   },
  },
  ["sec"]={
   ["labels"]={
    ["cz"]="sec",
    ["en"]="sec",
    ["es"]="sec",
    ["sk"]="sec",
   },
  },
  ["sin"]={
   ["labels"]={
    ["cz"]="sin",
    ["en"]="sin",
    ["es"]="sen",
    ["sk"]="sin",
   },
  },
  ["sinh"]={
   ["labels"]={
    ["cz"]="sinh",
    ["en"]="sinh",
    ["es"]="senh",
    ["sk"]="sinh",
   },
  },
  ["sup"]={
   ["labels"]={
    ["cz"]="sup",
    ["en"]="sup",
    ["es"]="sup",
    ["sk"]="sup",
   },
  },
  ["tan"]={
   ["labels"]={
    ["cz"]="tg",
    ["en"]="tan",
    ["es"]="tan",
    ["hr"]="tg",
    ["pl"]="tg",
    ["sk"]="tg",
   },
  },
  ["tanh"]={
   ["labels"]={
    ["cz"]="tgh",
    ["en"]="tanh",
    ["es"]="tanh",
    ["sk"]="tgh",
   },
  },
 },
 ["texts"]={
  ["and"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]=" a ",
    ["da"]="",
    ["de"]=" und ",
    ["en"]=" and ",
    ["es"]=" y ",
    ["et"]=" ja ",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]=" i ",
    ["hu"]=" és ",
    ["it"]="",
    ["la"]="",
    ["lt"]="",
    ["nb"]="",
    ["nl"]=" en ",
    ["nn"]="",
    ["pe"]=" و ",
    ["pl"]=" i ",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]=" a ",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["appendix"]={
   ["hidden"]=true,
   ["labels"]={
    ["af"]="Bylae ",
    ["ar"]="ملحق ",
    ["ca"]="Apèndix ",
    ["cn"]="附录",
    ["cs"]="Příloha ",
    ["da"]="Bilag ",
    ["de"]="Anhang ",
    ["en"]="Appendix ",
    ["es"]="Apéndice ",
    ["et"]="Lisa ",
    ["fi"]="",
    ["fr"]="Annexe ",
    ["gr"]="Παράρτημα",
    ["hr"]="Dodatak ",
    ["hu"]="Melléklet ",
    ["it"]="",
    ["ja"]="付録",
    ["kr"]="부록",
    ["la"]="",
    ["lt"]="",
    ["nb"]="Tillegg ",
    ["nl"]="",
    ["nn"]="Tillegg ",
    ["pe"]="پیوست ",
    ["pl"]="Dodatek ",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="Príloha ",
    ["sl"]="Dodatek ",
    ["sv"]="",
    ["tk"]="Goşmaça",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["april"]={
   ["labels"]={
    ["af"]="april",
    ["ar"]="أبريل",
    ["ar-dz"]="أفريل",
    ["ar-sy"]="نيسان",
    ["ca"]="abril",
    ["cn"]="四月",
    ["cs"]="dubna",
    ["da"]="april",
    ["de"]="April",
    ["en"]="April",
    ["es"]="abril",
    ["et"]="aprill",
    ["fi"]="huhtikuu",
    ["fr"]="avril",
    ["gr"]="Απρίλιος",
    ["hr"]="travnja",
    ["hu"]="április",
    ["it"]="aprile",
    ["ja"]="4",
    ["kr"]="4",
    ["la"]="Aprilis",
    ["lt"]="balandžio",
    ["nb"]="april",
    ["nl"]="april",
    ["nn"]="april",
    ["pe"]="آوریل",
    ["pl"]="kwietnia",
    ["pt"]="abril",
    ["ro"]="aprilie",
    ["ru"]="апреля",
    ["sk"]="apríla",
    ["sl"]="april",
    ["sv"]="april",
    ["tk"]="aprel",
    ["tr"]="nisan",
    ["ua"]="квітня",
    ["vi"]="tháng tư",
   },
  },
  ["april:jalali"]={
   ["labels"]={
    ["en"]="Tir",
    ["fa"]="تیر",
   },
  },
  ["april:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="dub.",
    ["da"]="",
    ["de"]="",
    ["en"]="apr",
    ["es"]="abr.",
    ["et"]="apr",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="tra",
    ["hu"]="ápr.",
    ["it"]="",
    ["la"]="",
    ["lt"]="apr",
    ["nb"]="april",
    ["nl"]="",
    ["nn"]="april",
    ["pl"]="kwi.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="apr.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["atpage"]={
   ["labels"]={
    ["af"]="",
    ["ar"]="في صفحة ",
    ["ca"]="",
    ["cs"]="na straně ",
    ["da"]="på side ",
    ["de"]="auf Seite ",
    ["en"]="at page ",
    ["es"]="en la página ",
    ["et"]="leheküljel ",
    ["fi"]="",
    ["fr"]="à la page ",
    ["gr"]="",
    ["hr"]="na stranici ",
    ["hu"]="oldal ",
    ["it"]="a pagina ",
    ["la"]="",
    ["lt"]="puslapyje ",
    ["nb"]="på side ",
    ["nl"]="op pagina ",
    ["nn"]="på side ",
    ["pe"]="در صفحه ",
    ["pl"]="na stronie ",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="на странице ",
    ["sk"]="na strane ",
    ["sl"]="na strani ",
    ["sv"]="på sida ",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="на сторінці ",
    ["vi"]="",
   },
  },
  ["august"]={
   ["labels"]={
    ["af"]="augustus",
    ["ar"]="أغسطس",
    ["ar-dz"]="أوت",
    ["ar-ma"]="غشت",
    ["ar-sy"]="آب",
    ["ca"]="agost",
    ["cn"]="八月",
    ["cs"]="srpna",
    ["da"]="august",
    ["de"]="August",
    ["en"]="August",
    ["es"]="agosto",
    ["et"]="august",
    ["fi"]="elokuu",
    ["fr"]="août",
    ["gr"]="Αύγουστος",
    ["hr"]="kolovoza",
    ["hu"]="augusztus",
    ["it"]="agosto",
    ["ja"]="8",
    ["kr"]="8",
    ["la"]="Augustus",
    ["lt"]="rugpjūčio",
    ["nb"]="august",
    ["nl"]="augustus",
    ["nn"]="august",
    ["pe"]="اوت",
    ["pl"]="sierpnia",
    ["pt"]="agosto",
    ["ro"]="august",
    ["ru"]="августа",
    ["sk"]="augusta",
    ["sl"]="avgust",
    ["sv"]="augusti",
    ["tk"]="awgust",
    ["tr"]="ağustos",
    ["ua"]="серпня",
    ["vi"]="tháng tám",
   },
  },
  ["august:jalali"]={
   ["labels"]={
    ["en"]="Aban",
    ["fa"]="آبان",
   },
  },
  ["august:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="srp.",
    ["da"]="",
    ["de"]="",
    ["en"]="aug",
    ["es"]="ago.",
    ["et"]="aug",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="kol",
    ["hu"]="aug.",
    ["it"]="",
    ["la"]="",
    ["lt"]="aug",
    ["nb"]="aug.",
    ["nl"]="",
    ["nn"]="aug.",
    ["pl"]="sier.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="aug.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["chapter"]={
   ["hidden"]=true,
   ["labels"]={
    ["af"]="Hoofstuk ",
    ["ar"]="باب ",
    ["ca"]="Capítol ",
    ["cn"]={ "第", "章" },
    ["cs"]="Kapitola ",
    ["da"]="",
    ["de"]="Kapitel ",
    ["en"]="Chapter ",
    ["es"]="Capítulo ",
    ["et"]="Peatükk ",
    ["fi"]="",
    ["fr"]="Chapitre ",
    ["gr"]="Κεφάλαιο",
    ["hr"]="Poglavlje ",
    ["hu"]={ "", " fejezet" },
    ["it"]="",
    ["ja"]={ "第", "章" },
    ["kr"]={ "제", "장" },
    ["la"]="",
    ["lt"]="",
    ["nb"]="",
    ["nl"]="",
    ["nn"]="",
    ["pe"]="فصل ",
    ["pl"]="Rozdział ",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="Kapitola ",
    ["sl"]="Poglavje ",
    ["sv"]="",
    ["tk"]="Bap",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="Chương ",
   },
  },
  ["continued"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]=" (pokračování)",
    ["da"]="",
    ["de"]="",
    ["en"]=" (continued)",
    ["es"]=" (continúa)",
    ["et"]=" (jätkub)",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]=" (nastavak)",
    ["hu"]=" (folytatás)",
    ["it"]="",
    ["la"]="",
    ["lt"]="",
    ["nb"]="",
    ["nl"]=" (vervolgd)",
    ["nn"]="",
    ["pe"]="(ادامه دارد)",
    ["pl"]="",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]=" (pokračovanie)",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["day"]={
   ["labels"]={
    ["en"]="day",
    ["et"]="päev",
    ["kr"]="일",
    ["nl"]="dag",
    ["pe"]="روز",
   },
  },
  ["december"]={
   ["labels"]={
    ["af"]="desember",
    ["ar"]="ديسمبر",
    ["ar-ma"]="دجنبر",
    ["ar-sy"]="كانون الأول",
    ["ca"]="desembre",
    ["cn"]="十二月",
    ["cs"]="prosince",
    ["da"]="december",
    ["de"]="Dezember",
    ["en"]="December",
    ["es"]="diciembre",
    ["et"]="detsember",
    ["fi"]="joulukuu",
    ["fr"]="décembre",
    ["gr"]="Δεκέμβριος",
    ["hr"]="prosinca",
    ["hu"]="december",
    ["it"]="dicembre",
    ["ja"]="12",
    ["kr"]="12",
    ["la"]="December",
    ["lt"]="gruodžio",
    ["nb"]="desember",
    ["nl"]="december",
    ["nn"]="desember",
    ["pe"]="دسامبر",
    ["pl"]="grudnia",
    ["pt"]="dezembro",
    ["ro"]="decembrie",
    ["ru"]="декабря",
    ["sk"]="decembra",
    ["sl"]="december",
    ["sv"]="december",
    ["tk"]="dekabr",
    ["tr"]="aralık",
    ["ua"]="грудня",
    ["vi"]="tháng mười hai",
   },
  },
  ["december:jalali"]={
   ["labels"]={
    ["en"]="Esfand",
    ["fa"]="اسفند",
   },
  },
  ["december:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="pros.",
    ["da"]="",
    ["de"]="",
    ["en"]="dec",
    ["es"]="dic.",
    ["et"]="dets",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="pro",
    ["hu"]="dec.",
    ["it"]="",
    ["la"]="",
    ["lt"]="dec",
    ["nb"]="des.",
    ["nl"]="",
    ["nn"]="des.",
    ["pl"]="gru.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="dec.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["february"]={
   ["labels"]={
    ["af"]="februarie",
    ["ar"]="فبراير",
    ["ar-dz"]="فيفري",
    ["ar-sy"]="شباط",
    ["ca"]="febrer",
    ["cn"]="二月",
    ["cs"]="února",
    ["da"]="februar",
    ["de"]="Februar",
    ["en"]="February",
    ["es"]="febrero",
    ["et"]="veebruar",
    ["fi"]="helmikuu",
    ["fr"]="février",
    ["gr"]="Φεβρουάριος",
    ["hr"]="veljače",
    ["hu"]="február",
    ["it"]="febbraio",
    ["ja"]="2",
    ["kr"]="2",
    ["la"]="Februarius",
    ["lt"]="vasario",
    ["nb"]="februar",
    ["nl"]="februari",
    ["nn"]="februar",
    ["pe"]="فوریه",
    ["pl"]="lutego",
    ["pt"]="fevereiro",
    ["ro"]="februarie",
    ["ru"]="февраля",
    ["sk"]="februára",
    ["sl"]="februar",
    ["sv"]="februari",
    ["tk"]="fewral",
    ["tr"]="Şubat",
    ["ua"]="лютого",
    ["vi"]="tháng hai",
   },
  },
  ["february:jalali"]={
   ["labels"]={
    ["en"]="Ordibehesht",
    ["fa"]="اردیبهشت",
   },
  },
  ["february:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="ún.",
    ["da"]="",
    ["de"]="",
    ["en"]="feb",
    ["es"]="feb.",
    ["et"]="veebr",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="velj",
    ["hu"]="feb.",
    ["it"]="",
    ["la"]="",
    ["lt"]="feb",
    ["nb"]="feb.",
    ["nl"]="",
    ["nn"]="feb.",
    ["pl"]="lut.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="feb.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["figure"]={
   ["labels"]={
    ["af"]="Figuur ",
    ["ar"]="شكل ",
    ["ca"]="Figura ",
    ["cn"]="图",
    ["cs"]="Obrázek ",
    ["da"]="Figur ",
    ["de"]="Abbildung ",
    ["en"]="Figure ",
    ["es"]="Figura ",
    ["et"]="Joonis ",
    ["fi"]="Kuva ",
    ["fr"]="Figure ",
    ["gr"]="Σχήμα",
    ["hr"]="Slika ",
    ["hu"]={ "", " ábra" },
    ["it"]="Fig. ",
    ["ja"]="図",
    ["kr"]="그림 ",
    ["la"]="Imago ",
    ["lt"]={ "", " pav." },
    ["nb"]="Figur ",
    ["nl"]="Figuur ",
    ["nn"]="Figur ",
    ["pe"]="شکل ",
    ["pl"]="Ilustracja ",
    ["pt"]="Figura ",
    ["ro"]="Figura ",
    ["ru"]="Рисунок ",
    ["sk"]="Obrázok ",
    ["sl"]="Slika ",
    ["sv"]="Figur ",
    ["tk"]="Surat",
    ["tr"]="Şekil ",
    ["ua"]="Малюнок ",
    ["vi"]="Hình ",
   },
  },
  ["followingpage"]={
   ["labels"]={
    ["en"]="on a following page",
    ["et"]="järgmisel leheküljel",
    ["nl"]="op een volgende bladzijde",
    ["pe"]="در صفحات آینده",
   },
  },
  ["friday"]={
   ["labels"]={
    ["af"]="vrydag",
    ["ar"]="الجمعة",
    ["ca"]="divendres",
    ["cn"]="星期五",
    ["cs"]="pátek",
    ["da"]="fredag",
    ["de"]="Freitag",
    ["en"]="Friday",
    ["es"]="viernes",
    ["et"]="reede",
    ["fi"]="perjantai",
    ["fr"]="vendredi",
    ["gr"]="Παρασκευή",
    ["hr"]="petak",
    ["hu"]="péntek",
    ["it"]="venerdì",
    ["ja"]="金曜日",
    ["kr"]="금요일",
    ["la"]="Dies Veneris",
    ["lt"]="penktadienis",
    ["nb"]="fredag",
    ["nl"]="vrijdag",
    ["nn"]="fredag",
    ["pe"]="جمعه",
    ["pl"]="piątek",
    ["pt"]="sexta-feira",
    ["ro"]="vineri",
    ["ru"]="пятница",
    ["sk"]="piatok",
    ["sl"]="petek",
    ["sv"]="fredag",
    ["tk"]="bäşinji gün",
    ["tr"]="cuma",
    ["ua"]="п'ятниця",
    ["vi"]="thứ sáu",
   },
  },
  ["graphic"]={
   ["labels"]={
    ["af"]="Grafiek ",
    ["ar"]="رسم ",
    ["ca"]="Gràfica ",
    ["cn"]="插图",
    ["cs"]="Graf ",
    ["da"]="Grafik ",
    ["de"]="Graphik ",
    ["en"]="Graphic ",
    ["es"]="Gráfico ",
    ["et"]="Pilt ",
    ["fi"]="Grafiikka ",
    ["fr"]="Illustration ",
    ["gr"]="Γραφικό",
    ["hr"]="Slika ",
    ["hu"]={ "", " kép" },
    ["it"]="Grafico ",
    ["ja"]="イラスト",
    ["la"]="Typus ",
    ["lt"]="Graphic ",
    ["nb"]="Bilde ",
    ["nl"]="Grafiek ",
    ["nn"]="Bilete ",
    ["pe"]="طرح ",
    ["pl"]="Grafika ",
    ["pt"]="Gráfico ",
    ["ro"]="Graficul ",
    ["ru"]="График ",
    ["sk"]="Graf ",
    ["sl"]="Slika ",
    ["sv"]="Grafik ",
    ["tk"]="Grafik",
    ["tr"]="Grafik",
    ["ua"]="График ",
    ["vi"]="Đồ thị",
   },
  },
  ["hencefore"]={
   ["labels"]={
    ["af"]="",
    ["ar"]="كما وضحنا سابقا",
    ["ca"]="",
    ["cs"]="viz výše",
    ["da"]="se foroven",
    ["de"]="siehe oben",
    ["en"]="as we show above",
    ["es"]="como se muestra arriba",
    ["et"]="nii nagu üleval näidatud",
    ["fi"]="",
    ["fr"]="ci-dessus",
    ["gr"]="",
    ["hr"]="vidi gore",
    ["hu"]="lásd feljebb",
    ["it"]="come mostrato sopra",
    ["kr"]="그러므로",
    ["la"]="",
    ["lt"]="kaip parodyta aukščiau",
    ["nb"]="som vist over",
    ["nl"]="hierboven",
    ["nn"]="som vist over",
    ["pe"]="چنان‌که شرح دادیم",
    ["pl"]="jak pokazano wyżej",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="см. выше",
    ["sk"]="pozri hore",
    ["sl"]="glej zgoraj",
    ["sv"]="se ovan",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="як показано вище",
    ["vi"]="",
   },
  },
  ["hereafter"]={
   ["labels"]={
    ["af"]="",
    ["ar"]="كما نوضح لاحقا",
    ["ca"]="",
    ["cs"]="viz níže",
    ["da"]="se forneden",
    ["de"]="siehe unten",
    ["en"]="as we show below",
    ["es"]="como se muestra abajo",
    ["et"]="nii nagu all näidatud",
    ["fi"]="",
    ["fr"]="ci-dessous",
    ["gr"]="",
    ["hr"]="vidi ispod",
    ["hu"]="lásd lejjebb",
    ["it"]="come mostrato sotto",
    ["kr"]="이후로",
    ["la"]="",
    ["lt"]="kaip parodyta žemiau",
    ["nb"]="som vist under",
    ["nl"]="hieronder",
    ["nn"]="som vist under",
    ["pe"]="چنان‌که شرح خواهیم داد",
    ["pl"]="jak pokazano niżej",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="см. ниже",
    ["sk"]="pozri ďalej",
    ["sl"]="glej spodaj",
    ["sv"]="se nedan",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="як показано нижче",
    ["vi"]="",
   },
  },
  ["intermezzo"]={
   ["labels"]={
    ["af"]="Intermezzo ",
    ["ar"]="فسحة ",
    ["ca"]="Intermedi ",
    ["cn"]="퉣",
    ["cs"]="Intermezzo ",
    ["da"]="Intermezzo ",
    ["de"]="Intermezzo ",
    ["en"]="Intermezzo ",
    ["es"]="Intermedio ",
    ["et"]="Vahemäng ",
    ["fi"]="Intermezzo ",
    ["fr"]="Intermède ",
    ["gr"]="Παύση",
    ["hr"]="Intermeco ",
    ["hu"]={ "", " intermezzo" },
    ["it"]="Intermezzo ",
    ["ja"]="間奏曲",
    ["kr"]="간주곡",
    ["la"]="Intermissum ",
    ["lt"]="Intermezzo ",
    ["nb"]="Intermesso ",
    ["nl"]="Intermezzo ",
    ["nn"]="Intermesso ",
    ["pl"]="Intermezzo ",
    ["pt"]="Intermédio ",
    ["ro"]="Intermezzo ",
    ["ru"]="Вставка ",
    ["sk"]="Intermezzo ",
    ["sl"]="Intermezzo ",
    ["sv"]="Intermezzo ",
    ["tk"]="Arakesme",
    ["tr"]="",
    ["ua"]="Вставка ",
    ["vi"]="intermezzo",
   },
  },
  ["january"]={
   ["labels"]={
    ["af"]="januarie",
    ["ar"]="يناير",
    ["ar-dz"]="جانفي",
    ["ar-sy"]="كانون الثاني",
    ["ca"]="gener",
    ["cn"]="一月",
    ["cs"]="ledna",
    ["da"]="januar",
    ["de"]="Januar",
    ["en"]="January",
    ["es"]="enero",
    ["et"]="jaanuar",
    ["fi"]="tammikuu",
    ["fr"]="janvier",
    ["gr"]="Ιανουάριος",
    ["hr"]="siječnja",
    ["hu"]="január",
    ["it"]="gennaio",
    ["ja"]="1",
    ["kr"]="1",
    ["la"]="Ianuarius",
    ["lt"]="sausio",
    ["nb"]="januar",
    ["nl"]="januari",
    ["nn"]="januar",
    ["pe"]="ژانویه",
    ["pl"]="stycznia",
    ["pt"]="janeiro",
    ["ro"]="ianuarie",
    ["ru"]="января",
    ["sk"]="januára",
    ["sl"]="januar",
    ["sv"]="januari",
    ["tk"]="ýanwar",
    ["tr"]="ocak",
    ["ua"]="січня",
    ["vi"]="tháng giêng",
   },
  },
  ["january:jalali"]={
   ["labels"]={
    ["en"]="Farvardin",
    ["fa"]="فروردین",
   },
  },
  ["january:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="led.",
    ["da"]="",
    ["de"]="",
    ["en"]="jan",
    ["es"]="ene.",
    ["et"]="jaan",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="sij",
    ["hu"]="jan.",
    ["it"]="",
    ["la"]="",
    ["lt"]="jan",
    ["nb"]="jan.",
    ["nl"]="",
    ["nn"]="jan.",
    ["pl"]="sty.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="jan.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["july"]={
   ["labels"]={
    ["af"]="julie",
    ["ar"]="يوليو",
    ["ar-dz"]="جويلة",
    ["ar-ma"]="يوليوز",
    ["ar-sy"]="تموز",
    ["ca"]="juliol",
    ["cn"]="七月",
    ["cs"]="července",
    ["da"]="juli",
    ["de"]="Juli",
    ["en"]="July",
    ["es"]="julio",
    ["et"]="juuli",
    ["fi"]="heinäkuu",
    ["fr"]="juillet",
    ["gr"]="Ιούλιος",
    ["hr"]="srpnja",
    ["hu"]="július",
    ["it"]="luglio",
    ["ja"]="7",
    ["kr"]="7",
    ["la"]="Iulius",
    ["lt"]="liepos",
    ["nb"]="juli",
    ["nl"]="juli",
    ["nn"]="juli",
    ["pe"]="ژوئیه",
    ["pl"]="lipca",
    ["pt"]="julho",
    ["ro"]="iulie",
    ["ru"]="июля",
    ["sk"]="júla",
    ["sl"]="julij",
    ["sv"]="juli",
    ["tk"]="iýul",
    ["tr"]="temmuz",
    ["ua"]="липня",
    ["vi"]="tháng bảy",
   },
  },
  ["july:jalali"]={
   ["labels"]={
    ["en"]="Mehr",
    ["fa"]="مهر",
   },
  },
  ["july:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="čce",
    ["da"]="",
    ["de"]="",
    ["en"]="jul",
    ["es"]="jul.",
    ["et"]="juuli",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="srp",
    ["hu"]="júl.",
    ["it"]="",
    ["la"]="",
    ["lt"]="jul",
    ["nb"]="juli",
    ["nl"]="",
    ["nn"]="juli",
    ["pl"]="lip.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="júla",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["june"]={
   ["labels"]={
    ["af"]="junie",
    ["ar"]="يونيو",
    ["ar-dz"]="جوان",
    ["ar-sy"]="حزيران",
    ["ca"]="juny",
    ["cn"]="六月",
    ["cs"]="června",
    ["da"]="juni",
    ["de"]="Juni",
    ["en"]="June",
    ["es"]="junio",
    ["et"]="juuni",
    ["fi"]="kesäkuu",
    ["fr"]="juin",
    ["gr"]="Ιούνιος",
    ["hr"]="lipnja",
    ["hu"]="június",
    ["it"]="giugno",
    ["ja"]="6",
    ["kr"]="6",
    ["la"]="Iunius",
    ["lt"]="birželio",
    ["nb"]="juni",
    ["nl"]="juni",
    ["nn"]="juni",
    ["pe"]="ژوئن",
    ["pl"]="czerwca",
    ["pt"]="junho",
    ["ro"]="iunie",
    ["ru"]="июня",
    ["sk"]="júna",
    ["sl"]="junij",
    ["sv"]="juni",
    ["tk"]="iýun",
    ["tr"]="haziran",
    ["ua"]="червня",
    ["vi"]="tháng sáu",
   },
  },
  ["june:jalali"]={
   ["labels"]={
    ["en"]="Shahrivar",
    ["fa"]="شهریور",
   },
  },
  ["june:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="čer.",
    ["da"]="",
    ["de"]="",
    ["en"]="jun",
    ["es"]="jun.",
    ["et"]="juuni",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="lip",
    ["hu"]="jún.",
    ["it"]="",
    ["la"]="",
    ["lt"]="jun",
    ["nb"]="juni",
    ["nl"]="",
    ["nn"]="juni",
    ["pl"]="czerw.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="júna",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["line"]={
   ["labels"]={
    ["af"]="reël ",
    ["ar"]="سطر ",
    ["ca"]="línia ",
    ["cn"]="行",
    ["cs"]="řádek ",
    ["da"]="linie ",
    ["de"]="Zeile ",
    ["en"]="line ",
    ["es"]="línea ",
    ["et"]="joon ",
    ["fi"]="rivi ",
    ["fr"]="ligne ",
    ["gr"]="Γραμμή",
    ["hr"]="redak ",
    ["hu"]={ "", " sor" },
    ["it"]="riga ",
    ["ja"]="線",
    ["kr"]="행",
    ["la"]="versus ",
    ["lt"]="line ",
    ["nb"]="linje ",
    ["nl"]="regel ",
    ["nn"]="linje ",
    ["pe"]="سطر ",
    ["pl"]="wiersz ",
    ["pt"]="linha ",
    ["ro"]="linia ",
    ["ru"]="строка ",
    ["sk"]="riadok ",
    ["sl"]="vrstica ",
    ["sv"]="rad ",
    ["tk"]="setir",
    ["tr"]="satır ",
    ["ua"]="рядок ",
    ["vi"]="dòng ",
   },
  },
  ["lines"]={
   ["labels"]={
    ["af"]="reëls ",
    ["ar"]="السطور ",
    ["ca"]="línies ",
    ["cn"]="行",
    ["cs"]="řádky ",
    ["da"]="linier ",
    ["de"]="Zeilen ",
    ["en"]="lines ",
    ["es"]="líneas ",
    ["et"]="jooned ",
    ["fi"]="rivie ",
    ["fr"]="lignes ",
    ["gr"]="Γραμμές",
    ["hr"]="retci ",
    ["hu"]="sorok ",
    ["it"]="righe ",
    ["ja"]="線",
    ["kr"]="행",
    ["la"]="versus ",
    ["lt"]="lines ",
    ["nb"]="linjer ",
    ["nl"]="regels ",
    ["nn"]="linjer ",
    ["pe"]="سطرهای ",
    ["pl"]="wiersze ",
    ["pt"]="linhas ",
    ["ro"]="liniile ",
    ["ru"]="строки ",
    ["sk"]="riadky ",
    ["sl"]="vrstice ",
    ["sv"]="rader ",
    ["tk"]="setirler",
    ["tr"]="satırlar ",
    ["ua"]="рядки ",
    ["vi"]="dòng ",
   },
  },
  ["march"]={
   ["labels"]={
    ["af"]="maart",
    ["ar"]="مارس",
    ["ar-sy"]="آذار",
    ["ca"]="març",
    ["cn"]="三月",
    ["cs"]="března",
    ["da"]="marts",
    ["de"]="März",
    ["en"]="March",
    ["es"]="marzo",
    ["et"]="märts",
    ["fi"]="maaliskuu",
    ["fr"]="mars",
    ["gr"]="Μάρτιος",
    ["hr"]="ožujka",
    ["hu"]="március",
    ["it"]="marzo",
    ["ja"]="3",
    ["kr"]="3",
    ["la"]="Martius",
    ["lt"]="kovo",
    ["nb"]="mars",
    ["nl"]="maart",
    ["nn"]="mars",
    ["pe"]="مارس",
    ["pl"]="marca",
    ["pt"]="março",
    ["ro"]="martie",
    ["ru"]="марта",
    ["sk"]="marca",
    ["sl"]="marec",
    ["sv"]="mars",
    ["tk"]="mart",
    ["tr"]="mart",
    ["ua"]="березня",
    ["vi"]="tháng ba",
   },
  },
  ["march:jalali"]={
   ["labels"]={
    ["en"]="Khordad",
    ["fa"]="خرداد",
   },
  },
  ["march:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="břez.",
    ["da"]="",
    ["de"]="",
    ["en"]="mar",
    ["es"]="mar.",
    ["et"]="märts",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="ožu",
    ["hu"]="már.",
    ["it"]="",
    ["la"]="",
    ["lt"]="mar",
    ["nb"]="mars",
    ["nl"]="",
    ["nn"]="mars",
    ["pl"]="mar.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="mar.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["may"]={
   ["labels"]={
    ["af"]="mei",
    ["ar"]="مايو",
    ["ar-dz"]="ماي",
    ["ar-ma"]="ماي",
    ["ar-sy"]="أيار",
    ["ca"]="maig",
    ["cn"]="五月",
    ["cs"]="května",
    ["da"]="maj",
    ["de"]="Mai",
    ["en"]="May",
    ["es"]="mayo",
    ["et"]="mai",
    ["fi"]="toukokuu",
    ["fr"]="mai",
    ["gr"]="Μάιος",
    ["hr"]="svibnja",
    ["hu"]="május",
    ["it"]="maggio",
    ["ja"]="5",
    ["kr"]="5",
    ["la"]="Maius",
    ["lt"]="gegužės",
    ["nb"]="mai",
    ["nl"]="mei",
    ["nn"]="mai",
    ["pe"]="مه",
    ["pl"]="maja",
    ["pt"]="maio",
    ["ro"]="mai",
    ["ru"]="мая",
    ["sk"]="mája",
    ["sl"]="maj",
    ["sv"]="maj",
    ["tk"]="maý",
    ["tr"]="mayıs",
    ["ua"]="травня",
    ["vi"]="tháng năm",
   },
  },
  ["may:jalali"]={
   ["labels"]={
    ["en"]="Mordad",
    ["fa"]="مرداد",
   },
  },
  ["may:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="květ.",
    ["da"]="",
    ["de"]="",
    ["en"]="may",
    ["es"]="may.",
    ["et"]="mai",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="svi",
    ["hu"]="máj.",
    ["it"]="",
    ["la"]="",
    ["lt"]="may",
    ["nb"]="mai",
    ["nl"]="",
    ["nn"]="mai",
    ["pl"]="maja",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="mája",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["monday"]={
   ["labels"]={
    ["af"]="maandag",
    ["ar"]="الاثنين",
    ["ca"]="dilluns",
    ["cn"]="星期一",
    ["cs"]="pondělí",
    ["da"]="mandag",
    ["de"]="Montag",
    ["en"]="Monday",
    ["es"]="lunes",
    ["et"]="esmaspäev",
    ["fi"]="maanantai",
    ["fr"]="lundi",
    ["gr"]="Δευτέρα",
    ["hr"]="ponedjeljak",
    ["hu"]="hétfő",
    ["it"]="lunedì",
    ["ja"]="月曜日",
    ["kr"]="월요일",
    ["la"]="Dies Lunae",
    ["lt"]="pirmadienis",
    ["nb"]="mandag",
    ["nl"]="maandag",
    ["nn"]="måndag",
    ["pe"]="دوشنبه",
    ["pl"]="poniedziałek",
    ["pt"]="segunda-feira",
    ["ro"]="luni",
    ["ru"]="понедельник",
    ["sk"]="pondelok",
    ["sl"]="ponedeljek",
    ["sv"]="måndag",
    ["tk"]="birinji gün",
    ["tr"]="pazartesi",
    ["ua"]="понеділок",
    ["vi"]="thứ hai",
   },
  },
  ["month"]={
   ["labels"]={
    ["en"]="month",
    ["et"]="kuu",
    ["kr"]="월",
    ["nl"]="maand",
    ["pe"]="ماه",
   },
  },
  ["november"]={
   ["labels"]={
    ["af"]="november",
    ["ar"]="نوفمبر",
    ["ar-ma"]="نونبر",
    ["ar-sy"]="تشرين الثاني",
    ["ca"]="novembre",
    ["cn"]="十一月",
    ["cs"]="listopadu",
    ["da"]="november",
    ["de"]="November",
    ["en"]="November",
    ["es"]="noviembre",
    ["et"]="november",
    ["fi"]="marraskuu",
    ["fr"]="novembre",
    ["gr"]="Νοέμβριος",
    ["hr"]="studenog",
    ["hu"]="november",
    ["it"]="novembre",
    ["ja"]="11",
    ["kr"]="11",
    ["la"]="November",
    ["lt"]="lapkričio",
    ["nb"]="november",
    ["nl"]="november",
    ["nn"]="november",
    ["pe"]="نوامبر",
    ["pl"]="listopada",
    ["pt"]="novembro",
    ["ro"]="noiembrie",
    ["ru"]="ноября",
    ["sk"]="novembra",
    ["sl"]="november",
    ["sv"]="november",
    ["tk"]="noýabr",
    ["tr"]="kasım",
    ["ua"]="листопада",
    ["vi"]="tháng mười một",
   },
  },
  ["november:jalali"]={
   ["labels"]={
    ["en"]="Bahman",
    ["fa"]="بهمن",
   },
  },
  ["november:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="list.",
    ["da"]="",
    ["de"]="",
    ["en"]="nov",
    ["es"]="nov.",
    ["et"]="nov",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="stu",
    ["hu"]="nov.",
    ["it"]="",
    ["la"]="",
    ["lt"]="nov",
    ["nb"]="nov.",
    ["nl"]="",
    ["nn"]="nov.",
    ["pl"]="lis.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="nov.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["october"]={
   ["labels"]={
    ["af"]="oktober",
    ["ar"]="أكتوبر",
    ["ar-sy"]="تشرين الأول",
    ["ca"]="octubre",
    ["cn"]="十月",
    ["cs"]="října",
    ["da"]="oktober",
    ["de"]="Oktober",
    ["en"]="October",
    ["es"]="octubre",
    ["et"]="oktoober",
    ["fi"]="lokakuu",
    ["fr"]="octobre",
    ["gr"]="Οκτώβριος",
    ["hr"]="listopada",
    ["hu"]="október",
    ["it"]="ottobre",
    ["ja"]="10",
    ["kr"]="10",
    ["la"]="October",
    ["lt"]="spalio",
    ["nb"]="oktober",
    ["nl"]="oktober",
    ["nn"]="oktober",
    ["pe"]="اکتبر",
    ["pl"]="października",
    ["pt"]="outubro",
    ["ro"]="octombrie",
    ["ru"]="октября",
    ["sk"]="októbra",
    ["sl"]="oktober",
    ["sv"]="oktober",
    ["tk"]="oktýabr",
    ["tr"]="ekim",
    ["ua"]="жовтня",
    ["vi"]="tháng mười",
   },
  },
  ["october:jalali"]={
   ["labels"]={
    ["en"]="Dey",
    ["fa"]="دی",
   },
  },
  ["october:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="říj.",
    ["da"]="",
    ["de"]="",
    ["en"]="oct",
    ["es"]="oct.",
    ["et"]="okt",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="lis",
    ["hu"]="okt.",
    ["it"]="",
    ["la"]="",
    ["lt"]="oct",
    ["nb"]="okt.",
    ["nl"]="",
    ["nn"]="okt.",
    ["pl"]="paź.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="okt.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["page"]={
   ["labels"]={
    ["af"]="",
    ["ar"]="صفحة ",
    ["ca"]="",
    ["cs"]="strana ",
    ["da"]="Side ",
    ["de"]="Seite ",
    ["en"]="page ",
    ["es"]="página ",
    ["et"]="lehekülg ",
    ["fi"]="",
    ["fr"]="page ",
    ["gr"]="",
    ["hr"]="stranica ",
    ["hu"]="oldal ",
    ["it"]="pagina ",
    ["kr"]="쪽",
    ["la"]="",
    ["lt"]="puslapis ",
    ["nb"]="side ",
    ["nl"]="pagina ",
    ["nn"]="side ",
    ["pe"]="صفحه ",
    ["pl"]="strona ",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="страница ",
    ["sk"]="strana ",
    ["sl"]="stran ",
    ["sv"]="Sida ",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="сторінка ",
    ["vi"]="",
   },
  },
  ["part"]={
   ["labels"]={
    ["af"]="Deel ",
    ["ar"]="جزء ",
    ["ca"]="Part ",
    ["cn"]={ "第", "部分" },
    ["cs"]="Část ",
    ["da"]="Del ",
    ["de"]="Teil ",
    ["en"]="Part ",
    ["es"]="Parte ",
    ["et"]="Osa ",
    ["fi"]="Osa ",
    ["fr"]="Partie ",
    ["gr"]="Μέρος",
    ["hr"]="Dio ",
    ["hu"]={ "", " rész" },
    ["it"]="Parte ",
    ["ja"]={ "第", "パート" },
    ["kr"]={ "제", "부" },
    ["la"]="Pars ",
    ["lt"]={ "", " dalis" },
    ["nb"]="Del",
    ["nl"]="Deel ",
    ["nn"]="Del",
    ["pe"]="قسمت ",
    ["pl"]="Część ",
    ["pt"]="Parte ",
    ["ro"]="Partea ",
    ["ru"]="Часть ",
    ["sk"]="Časť ",
    ["sl"]="Del ",
    ["sv"]="Del ",
    ["tk"]="Bölüm",
    ["tr"]="Cilt ",
    ["ua"]="Частина ",
    ["vi"]="Phần ",
   },
  },
  ["precedingpage"]={
   ["labels"]={
    ["en"]="on a preceding page",
    ["et"]="eelmisel lehel",
    ["nl"]="op een voorgaande bladzijde",
    ["pe"]="در صفحات گذشته",
   },
  },
  ["saturday"]={
   ["labels"]={
    ["af"]="saterdag",
    ["ar"]="السبت",
    ["ca"]="dissabte",
    ["cn"]="星期六",
    ["cs"]="sobota",
    ["da"]="lørdag",
    ["de"]="Samstag",
    ["en"]="Saturday",
    ["es"]="sábado",
    ["et"]="laupäev",
    ["fi"]="lauantai",
    ["fr"]="samedi",
    ["gr"]="Σάββατο",
    ["hr"]="subota",
    ["hu"]="szombat",
    ["it"]="sabato",
    ["ja"]="土曜日",
    ["kr"]="토요일",
    ["la"]="Dies Saturni",
    ["lt"]="šeštadienis",
    ["nb"]="lørdag",
    ["nl"]="zaterdag",
    ["nn"]="laurdag",
    ["pe"]="شنبه",
    ["pl"]="sobota",
    ["pt"]="sábado",
    ["ro"]="sâmbătă",
    ["ru"]="суббота",
    ["sk"]="sobota",
    ["sl"]="sobota",
    ["sv"]="lördag",
    ["tk"]="altynjy gün",
    ["tr"]="cumartesi",
    ["ua"]="субота",
    ["vi"]="thứ bảy",
   },
  },
  ["section"]={
   ["hidden"]=true,
   ["labels"]={
    ["af"]="Paragraaf ",
    ["ar"]="فصل ",
    ["ca"]="Secció ",
    ["cn"]={ "第", "节" },
    ["cs"]="Sekce ",
    ["da"]="",
    ["de"]="",
    ["en"]="",
    ["es"]="Sección ",
    ["et"]="jaos ",
    ["fi"]="",
    ["fr"]="Section ",
    ["gr"]="Ενότητα",
    ["hr"]="Odjeljak ",
    ["hu"]="Fejezet ",
    ["it"]="",
    ["ja"]={ "第", "項" },
    ["kr"]={ "제", "절" },
    ["la"]="",
    ["lt"]="",
    ["nb"]="",
    ["nl"]="",
    ["nn"]="",
    ["pe"]="بخش ",
    ["pl"]="Podrozdział ",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="Sekcia ",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["see"]={
   ["labels"]={
    ["af"]="",
    ["ar"]="انظر ",
    ["ca"]="",
    ["cs"]="viz ",
    ["da"]="se ",
    ["de"]="siehe ",
    ["en"]="see ",
    ["es"]="ver: ",
    ["et"]="vaadake ",
    ["fi"]="",
    ["fr"]="cf. ",
    ["gr"]="",
    ["hr"]="vidi ",
    ["hu"]="lásd ",
    ["it"]="cf. ",
    ["kr"]="",
    ["la"]="",
    ["lt"]="žiūrėti ",
    ["nb"]="se ",
    ["nl"]="zie ",
    ["nn"]="sjå ",
    ["pe"]="نگاه کنید به ",
    ["pl"]="patrz ",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="см. ",
    ["sk"]="pozri ",
    ["sl"]="glej ",
    ["sv"]="se ",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="див. ",
    ["vi"]="",
   },
  },
  ["september"]={
   ["labels"]={
    ["af"]="september",
    ["ar"]="سبتمبر",
    ["ar-ma"]="شتنبر",
    ["ar-sy"]="أيلول",
    ["ca"]="setembre",
    ["cn"]="九月",
    ["cs"]="září",
    ["da"]="september",
    ["de"]="September",
    ["en"]="September",
    ["es"]="septiembre",
    ["et"]="september",
    ["fi"]="syyskuu",
    ["fr"]="septembre",
    ["gr"]="Σεπτέμβριος",
    ["hr"]="rujna",
    ["hu"]="szeptember",
    ["it"]="settembre",
    ["ja"]="9",
    ["kr"]="9",
    ["la"]="September",
    ["lt"]="rugsėjo",
    ["nb"]="september",
    ["nl"]="september",
    ["nn"]="september",
    ["pe"]="سپتامبر",
    ["pl"]="września",
    ["pt"]="setembro",
    ["ro"]="septembrie",
    ["ru"]="сентября",
    ["sk"]="septembra",
    ["sl"]="september",
    ["sv"]="september",
    ["tk"]="sentýabr",
    ["tr"]="eylül",
    ["ua"]="вересня",
    ["vi"]="tháng chín",
   },
  },
  ["september:jalali"]={
   ["labels"]={
    ["en"]="Azar",
    ["fa"]="آذر",
   },
  },
  ["september:mnem"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="",
    ["cs"]="září",
    ["da"]="",
    ["de"]="",
    ["en"]="sep",
    ["es"]="sep.",
    ["et"]="sept",
    ["fi"]="",
    ["fr"]="",
    ["gr"]="",
    ["hr"]="ruj",
    ["hu"]="szep.",
    ["it"]="",
    ["la"]="",
    ["lt"]="sep",
    ["nb"]="sep.",
    ["nl"]="",
    ["nn"]="sep.",
    ["pl"]="wrz.",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="sept.",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["subsection"]={
   ["hidden"]=true,
   ["labels"]={
    ["af"]="",
    ["ar"]="فصل أدنى ",
    ["ca"]="Subsecció ",
    ["cn"]="",
    ["cs"]="Podsekce ",
    ["da"]="",
    ["de"]="",
    ["en"]="",
    ["es"]="Subsección ",
    ["et"]="alajaotis ",
    ["fi"]="",
    ["fr"]="Soussection ",
    ["gr"]="Υπόενότητα",
    ["hr"]="Pododjeljak ",
    ["hu"]="Alfejezet ",
    ["it"]="",
    ["ja"]="",
    ["la"]="",
    ["lt"]="",
    ["nb"]="",
    ["nl"]="",
    ["nn"]="",
    ["pe"]="زیربخش ",
    ["pl"]="Podpodrozdział ",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="Podsekcia ",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["subsubsection"]={
   ["hidden"]=true,
   ["labels"]={
    ["af"]="",
    ["ar"]="فصل أدنى أدنى ",
    ["ca"]="Subsubsecció ",
    ["cn"]="",
    ["cs"]="Podpodsekce ",
    ["da"]="",
    ["de"]="",
    ["en"]="",
    ["es"]="Subsubsección ",
    ["et"]="alamjaotis ",
    ["fi"]="",
    ["fr"]="Soussoussection ",
    ["gr"]="",
    ["hr"]="Podpododjeljak ",
    ["hu"]="Al-alfejezet ",
    ["it"]="",
    ["ja"]="",
    ["la"]="",
    ["lt"]="",
    ["nb"]="",
    ["nl"]="",
    ["nn"]="",
    ["pe"]="زیرزیربخش ",
    ["pl"]="",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="Podpodsekcia ",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["subsubsubsection"]={
   ["hidden"]=true,
   ["labels"]={
    ["af"]="",
    ["ar"]="فصل أدنى أدنى أدنى ",
    ["ca"]="Subsubsubsecció ",
    ["cn"]="",
    ["cs"]="Podpodpodsekce ",
    ["da"]="",
    ["de"]="",
    ["en"]="",
    ["es"]="Subsubsubsección ",
    ["et"]="",
    ["fi"]="",
    ["fr"]="Soussoussoussection ",
    ["gr"]="",
    ["hr"]="Podpodpododjeljak ",
    ["hu"]="Al-al-alfejezet ",
    ["it"]="",
    ["ja"]="",
    ["la"]="",
    ["lt"]="",
    ["nb"]="",
    ["nl"]="",
    ["nn"]="",
    ["pe"]="زیرزیرزیربخش ",
    ["pl"]="",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="Podpodpodsekcia ",
    ["sl"]="",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["sunday"]={
   ["labels"]={
    ["af"]="sondag",
    ["ar"]="الأحد",
    ["ca"]="diumenge",
    ["cn"]="星期日",
    ["cs"]="neděle",
    ["da"]="søndag",
    ["de"]="Sonntag",
    ["en"]="Sunday",
    ["es"]="domingo",
    ["et"]="pühapäev",
    ["fi"]="sunnuntai",
    ["fr"]="dimanche",
    ["gr"]="Κυριακή",
    ["hr"]="nedjelja",
    ["hu"]="vasárnap",
    ["it"]="domenica",
    ["ja"]="日曜日",
    ["kr"]="일요일",
    ["la"]="Dies Solis",
    ["lt"]="sekmadienis",
    ["nb"]="søndag",
    ["nl"]="zondag",
    ["nn"]="sundag",
    ["pe"]="یکشنبه",
    ["pl"]="niedziela",
    ["pt"]="domingo",
    ["ro"]="duminică",
    ["ru"]="воскресенье",
    ["sk"]="nedeľa",
    ["sl"]="nedelja",
    ["sv"]="söndag",
    ["tk"]="dynç gün",
    ["tr"]="pazar",
    ["ua"]="неділя",
    ["vi"]="chủ nhật",
   },
  },
  ["table"]={
   ["labels"]={
    ["af"]="Tabel",
    ["ar"]="جدول ",
    ["ca"]="Taula ",
    ["cn"]="表",
    ["cs"]="Tabulka ",
    ["da"]="Tabel ",
    ["de"]="Tabelle ",
    ["en"]="Table ",
    ["es"]="Tabla ",
    ["et"]="Tabel ",
    ["fi"]="Taulukko ",
    ["fr"]="Tableau ",
    ["gr"]="Πίνακας",
    ["hr"]="Tablica ",
    ["hu"]={ "", " táblázat" },
    ["it"]="Tabella ",
    ["ja"]="表",
    ["kr"]="표 ",
    ["la"]="Tabula ",
    ["lt"]={ "", " lentelė." },
    ["nb"]="Tabell ",
    ["nl"]="Tabel ",
    ["nn"]="Tabell ",
    ["pe"]="جدول ",
    ["pl"]="Tabela ",
    ["pt"]="Tabela ",
    ["ro"]="Tabelul ",
    ["ru"]="Таблица ",
    ["sk"]="Tabuľka ",
    ["sl"]="Tabela ",
    ["sv"]="Tabell ",
    ["tk"]="Tablisa",
    ["tr"]="Tablo ",
    ["ua"]="Таблиця ",
    ["vi"]="Bảng ",
   },
  },
  ["thursday"]={
   ["labels"]={
    ["af"]="donderdag",
    ["ar"]="الخميس",
    ["ca"]="dijous",
    ["cn"]="星期四",
    ["cs"]="čtvrtek",
    ["da"]="torsdag",
    ["de"]="Donnerstag",
    ["en"]="Thursday",
    ["es"]="jueves",
    ["et"]="neljapäev",
    ["fi"]="torstai",
    ["fr"]="jeudi",
    ["gr"]="Πέμπτη",
    ["hr"]="četvrtak",
    ["hu"]="csütörtök",
    ["it"]="giovedì",
    ["ja"]="木曜日",
    ["kr"]="목요일",
    ["la"]="Dies Iovis",
    ["lt"]="ketvirtadienis",
    ["nb"]="torsdag",
    ["nl"]="donderdag",
    ["nn"]="torsdag",
    ["pe"]="پنج‌شنبه",
    ["pl"]="czwartek",
    ["pt"]="quinta-feira",
    ["ro"]="joi",
    ["ru"]="четверг",
    ["sk"]="štvrtok",
    ["sl"]="četrtek",
    ["sv"]="torsdag",
    ["tk"]="dördünji gün",
    ["tr"]="perşembe",
    ["ua"]="четвер",
    ["vi"]="thứ năm",
   },
  },
  ["tuesday"]={
   ["labels"]={
    ["af"]="dinsdag",
    ["ar"]="الثلاثاء",
    ["ca"]="dimarts",
    ["cn"]="星期二",
    ["cs"]="úterý",
    ["da"]="tirsdag",
    ["de"]="Dienstag",
    ["en"]="Tuesday",
    ["es"]="martes",
    ["et"]="teisipäev",
    ["fi"]="tiistai",
    ["fr"]="mardi",
    ["gr"]="Τρίτη",
    ["hr"]="utorak",
    ["hu"]="kedd",
    ["it"]="martedì",
    ["ja"]="火曜日",
    ["kr"]="화요일",
    ["la"]="Dies Martis",
    ["lt"]="antradienis",
    ["nb"]="tirsdag",
    ["nl"]="dinsdag",
    ["nn"]="tysdag",
    ["pe"]="سه‌شنبه",
    ["pl"]="wtorek",
    ["pt"]="terça-feira",
    ["ro"]="marți",
    ["ru"]="вторник",
    ["sk"]="utorok",
    ["sl"]="torek",
    ["sv"]="tisdag",
    ["tk"]="ikinji gün",
    ["tr"]="salı",
    ["ua"]="вівторок",
    ["vi"]="thứ ba",
   },
  },
  ["wednesday"]={
   ["labels"]={
    ["af"]="woensdag",
    ["ar"]="الأربعاء",
    ["ca"]="dimecres",
    ["cn"]="星期三",
    ["cs"]="středa",
    ["da"]="onsdag",
    ["de"]="Mittwoch",
    ["en"]="Wednesday",
    ["es"]="miércoles",
    ["et"]="kolmapäev",
    ["fi"]="keskiviikko",
    ["fr"]="mercredi",
    ["gr"]="Τετάρτη",
    ["hr"]="srijeda",
    ["hu"]="szerda",
    ["it"]="mercoledì",
    ["ja"]="水曜日",
    ["kr"]="수요일",
    ["la"]="Dies Mercuri",
    ["lt"]="trečiadienis",
    ["nb"]="onsdag",
    ["nl"]="woensdag",
    ["nn"]="onsdag",
    ["pe"]="چهارشنبه",
    ["pl"]="środa",
    ["pt"]="quarta-feira",
    ["ro"]="miercuri",
    ["ru"]="среда",
    ["sk"]="streda",
    ["sl"]="sreda",
    ["sv"]="onsdag",
    ["tk"]="üçünji",
    ["tr"]="çarşamba",
    ["ua"]="середа",
    ["vi"]="thứ tư",
   },
  },
  ["year"]={
   ["labels"]={
    ["en"]="year",
    ["et"]="aasta",
    ["kr"]="년",
    ["nl"]="jaar",
    ["pe"]="سال",
   },
  },
 },
 ["titles"]={
  ["abbreviations"]={
   ["labels"]={
    ["af"]="Afkortings",
    ["ar"]="الاختصارات",
    ["ca"]="Abreviacions",
    ["cn"]="缩略语",
    ["cs"]="Zkratky",
    ["da"]="Forkortelser",
    ["de"]="Abkürzungen",
    ["en"]="Abbreviations",
    ["es"]="Abreviaturas",
    ["et"]="Lühend",
    ["fi"]="Lyhennyksi",
    ["fr"]="Abréviations",
    ["gr"]="Συντομογραφίες",
    ["hr"]="Kratice",
    ["hu"]="Rövidítések",
    ["it"]="Abbreviazioni",
    ["ja"]="略語",
    ["kr"]="약어",
    ["la"]="Notae",
    ["lt"]="Santrumpos",
    ["nb"]="Forkortelser",
    ["nl"]="Afkortingen",
    ["nn"]="Forkortingar",
    ["pe"]="نشانه‌های اختصاری",
    ["pl"]="Wykaz skrótów",
    ["pt"]="Abreviaturas",
    ["ro"]="Abrevieri",
    ["ru"]="Список сокращений",
    ["sk"]="Skratky",
    ["sl"]="Kratice",
    ["sv"]="Förkortningar",
    ["tk"]="Gysgaltmalar",
    ["tr"]="Kısaltmalar",
    ["ua"]="Перелік скорочень",
    ["vi"]="Chữ viết tắt",
   },
  },
  ["content"]={
   ["labels"]={
    ["af"]="Inhoud",
    ["ar"]="المحتويات",
    ["ca"]="Índex de continguts",
    ["cn"]="目录",
    ["cs"]="Obsah",
    ["da"]="Indhold",
    ["de"]="Inhalt",
    ["en"]="Contents",
    ["es"]="Contenido",
    ["et"]="Sisu",
    ["fi"]="Sisällys",
    ["fr"]="Table des matières",
    ["gr"]="Περιεχόμενα",
    ["hr"]="Sadržaj",
    ["hu"]="Tartalom",
    ["it"]="Indice",
    ["ja"]="目次",
    ["kr"]="목차",
    ["la"]="Quod in libro continetur",
    ["lt"]="Turinys",
    ["nb"]="Innhold",
    ["nl"]="Inhoud",
    ["nn"]="Innhald",
    ["pe"]="فهرست مطالب",
    ["pl"]="Spis treści",
    ["pt"]="Conteúdo",
    ["ro"]="Cuprins",
    ["ru"]="Содержание",
    ["sk"]="Obsah",
    ["sl"]="Kazalo",
    ["sv"]="Innehåll",
    ["tk"]="Mazmuny",
    ["tr"]="Fihrist",
    ["ua"]="Зміст",
    ["vi"]="Mục lục",
   },
  },
  ["figures"]={
   ["labels"]={
    ["af"]="Figure",
    ["ar"]="الأشكال",
    ["ca"]="Figures",
    ["cn"]="图形",
    ["cs"]="Seznam obrázků",
    ["da"]="Figurer",
    ["de"]="Abbildungen",
    ["en"]="Figures",
    ["es"]="Figuras",
    ["et"]="Arvandmed",
    ["fi"]="Kuvi",
    ["fr"]="Figures",
    ["gr"]="Σχήματα",
    ["hr"]="Slike",
    ["hu"]="Ábrák",
    ["it"]="Figure",
    ["ja"]="図",
    ["kr"]="그림 ",
    ["la"]="Imagines",
    ["lt"]="Iliustracijos",
    ["nb"]="Figurer",
    ["nl"]="Figuren",
    ["nn"]="Figurar",
    ["pe"]="فهرست اشکال",
    ["pl"]="Ilustracje",
    ["pt"]="Figuras",
    ["ro"]="Figuri",
    ["ru"]="Список иллюстраций",
    ["sk"]="Zoznam obrázkov",
    ["sl"]="Slike",
    ["sv"]="Figurer",
    ["tk"]="Suratlar",
    ["tr"]="Şekiller",
    ["ua"]="Перелік ілюстрацій",
    ["vi"]="Danh sách hình vẽ",
   },
  },
  ["graphics"]={
   ["labels"]={
    ["af"]="Grafieke",
    ["ar"]="الرسوم",
    ["ca"]="Gràfiques",
    ["cn"]="图",
    ["cs"]="Seznam grafů",
    ["da"]="Grafik",
    ["de"]="Graphiken",
    ["en"]="Graphics",
    ["es"]="Gráficos",
    ["et"]="Graafika",
    ["fi"]="Grafiikkaoi",
    ["fr"]="Graphiques",
    ["gr"]="Γραφικά",
    ["hr"]="Slike",
    ["hu"]="Grafikák",
    ["it"]="Grafici",
    ["ja"]="グラフ",
    ["kr"]="그래픽 ",
    ["la"]="Typi",
    ["lt"]="Graphics",
    ["nb"]="Bilde",
    ["nl"]="Grafieken",
    ["nn"]="Bilete",
    ["pe"]="فهرست طرح‌ها",
    ["pl"]="Grafiki",
    ["pt"]="Gráficos",
    ["ro"]="Grafice",
    ["ru"]="Список графиков",
    ["sk"]="Zoznam grafov",
    ["sl"]="Slike",
    ["sv"]="Grafik",
    ["tk"]="Grafikler",
    ["tr"]="Grafikler",
    ["ua"]="Перелік графіков",
    ["vi"]="Đồ thị",
   },
  },
  ["index"]={
   ["labels"]={
    ["af"]="Indeks",
    ["ar"]="الفهرس",
    ["ca"]="Índex alfabètic",
    ["cn"]="索引",
    ["cs"]="Rejstřík",
    ["da"]="Indeks",
    ["de"]="Index",
    ["en"]="Index",
    ["es"]="Índice",
    ["et"]="Indeks",
    ["fi"]="Indeksiluku",
    ["fr"]="Index",
    ["gr"]="Ευρετήριο",
    ["hr"]="Indeks",
    ["hu"]="Index",
    ["it"]="Indice",
    ["ja"]="目次",
    ["kr"]="찾아보기",
    ["la"]="Indices",
    ["lt"]="Rodyklė",
    ["nb"]="Register",
    ["nl"]="Index",
    ["nn"]="Register",
    ["pe"]="نمایه",
    ["pl"]="Indeks",
    ["pt"]="Índice",
    ["ro"]="Index",
    ["ru"]="Алфавитный указатель",
    ["sk"]="Zoznam",
    ["sl"]="Stvarno kazalo",
    ["sv"]="Sakregister",
    ["tk"]="Indeks",
    ["tr"]="İndex",
    ["ua"]="Покажчик",
    ["vi"]="Chỉ số",
   },
  },
  ["intermezzi"]={
   ["labels"]={
    ["af"]="Intermezzos",
    ["ar"]="فسح",
    ["ca"]="Intermedis",
    ["cn"]="퉣",
    ["cs"]="Intermezza",
    ["da"]="Intermezzoer",
    ["de"]="Intermezzi",
    ["en"]="Intermezzos",
    ["es"]="Intermedios",
    ["et"]="Vahemängud",
    ["fi"]="Intermezzos",
    ["fr"]="Intermèdes",
    ["gr"]="Παύσεις",
    ["hr"]="Intermeci",
    ["hu"]="Intermezzok",
    ["it"]="Intermezzi",
    ["ja"]="間奏曲",
    ["kr"]="간주곡",
    ["la"]="Intermissa",
    ["lt"]="Intermezzos",
    ["nb"]="Intermesso",
    ["nl"]="Intermezzo's",
    ["nn"]="Intermesso",
    ["pl"]="Intermezza",
    ["pt"]="Intermédios",
    ["ro"]="Intermzzo",
    ["ru"]="Список вставок",
    ["sk"]="Intermezzá",
    ["sl"]="Intermezzi",
    ["sv"]="Intermezzon",
    ["tk"]="Arakesmeler",
    ["tr"]="",
    ["ua"]="Перелік вставок",
    ["vi"]="Intermezzos",
   },
  },
  ["logos"]={
   ["labels"]={
    ["af"]="Logos",
    ["ar"]="الشعارات",
    ["ca"]="Logotips",
    ["cn"]="徽贬",
    ["cs"]="Loga",
    ["da"]="Logoer",
    ["de"]="Logos",
    ["en"]="Logos",
    ["es"]="Logotipos",
    ["et"]="Logos",
    ["fi"]="Vertauskuva",
    ["fr"]="Logos",
    ["gr"]="Λογότυπα",
    ["hr"]="Logotipi",
    ["hu"]="Fejlécek",
    ["it"]="Logotipi",
    ["ja"]="理性",
    ["kr"]="이성",
    ["la"]="Typi negotiales",
    ["lt"]="Logos",
    ["nb"]="Logoer",
    ["nl"]="Logo's",
    ["nn"]="Logoar",
    ["pe"]="فهرست لوگوها",
    ["pl"]="Znaki",
    ["pt"]="Logotipos",
    ["ro"]="Logo-uri",
    ["ru"]="Логотипы",
    ["sk"]="Logá",
    ["sl"]="Logotipi",
    ["sv"]="Loggor",
    ["tk"]="Logolar",
    ["tr"]="Logolar",
    ["ua"]="Логотипи",
    ["vi"]="Biểu tượng",
   },
  },
  ["pubs"]={
   ["labels"]={
    ["af"]="",
    ["ca"]="Referències",
    ["cs"]="Literatura",
    ["da"]="",
    ["de"]="Literatur",
    ["en"]="References",
    ["es"]="Bibliografía",
    ["et"]="Viited",
    ["fi"]="",
    ["fr"]="Bibliographie",
    ["gr"]="",
    ["hr"]="Literatura",
    ["hu"]="Bibliográfia",
    ["it"]="Bibliografia",
    ["kr"]="참고문헌",
    ["la"]="",
    ["lt"]="Literatūra",
    ["nb"]="",
    ["nl"]="Literatuur",
    ["nn"]="",
    ["pe"]="کتاب‌نامه",
    ["pl"]="Bibliografia",
    ["pt"]="",
    ["ro"]="",
    ["ru"]="",
    ["sk"]="Literatúra",
    ["sl"]="Literatura",
    ["sv"]="",
    ["tk"]="",
    ["tr"]="",
    ["ua"]="",
    ["vi"]="",
   },
  },
  ["tables"]={
   ["labels"]={
    ["af"]="Tabelle",
    ["ar"]="الجداول",
    ["ca"]="Taules",
    ["cn"]="表格",
    ["cs"]="Seznam tabulek",
    ["da"]="Tabeller",
    ["de"]="Tabellen",
    ["en"]="Tables",
    ["es"]="Tablas",
    ["et"]="Tabelid",
    ["fi"]="Taulukkoj",
    ["fr"]="Tableaux",
    ["gr"]="Πίνακες",
    ["hr"]="Tablice",
    ["hu"]="Táblázatok",
    ["it"]="Tabelle",
    ["ja"]="机",
    ["kr"]="표 ",
    ["la"]="Tabulae",
    ["lt"]="Lentelės",
    ["nb"]="Tabeller",
    ["nl"]="Tabellen",
    ["nn"]="Tabellar",
    ["pe"]="فهرست جداول",
    ["pl"]="Tabele",
    ["pt"]="Tabelas",
    ["ro"]="Tabele",
    ["ru"]="Список таблиц",
    ["sk"]="Zoznam tabuliek",
    ["sl"]="Tabele",
    ["sv"]="Tabeller",
    ["tk"]="Tablisalar",
    ["tr"]="Tablolar",
    ["ua"]="Перелік таблиць",
    ["vi"]="Danh sách bảng",
   },
  },
  ["units"]={
   ["labels"]={
    ["af"]="Eenhede",
    ["ar"]="الوحدات",
    ["ca"]="Unitats",
    ["cn"]="计量单位",
    ["cs"]="Jednotky",
    ["da"]="Enheder",
    ["de"]="Einheiten",
    ["en"]="Units",
    ["es"]="Unidades",
    ["et"]="Ühikud",
    ["fi"]="Yksiköt",
    ["fr"]="Unités",
    ["gr"]="Μονάδες",
    ["hr"]="Jedinice",
    ["hu"]="Mértékegységek",
    ["it"]="Unità",
    ["ja"]="ユニッツ",
    ["kr"]="측정단위",
    ["la"]="Modi",
    ["lt"]="Units",
    ["nb"]="Enheter",
    ["nl"]="Eenheden",
    ["nn"]="Einingar",
    ["pe"]="واحدها",
    ["pl"]="Jednostki",
    ["pt"]="Unidades",
    ["ro"]="Unități",
    ["ru"]="Единицы измерения",
    ["sk"]="Jednotky",
    ["sl"]="Enote",
    ["sv"]="Enheter",
    ["tk"]="Birlikler",
    ["tr"]="Birimler",
    ["ua"]="Одиниці виміру",
    ["vi"]="Đơn vị",
   },
  },
 },
}

local functions = data.labels.functions

functions.asin   = functions.arcsin
functions.acos   = functions.arccos
functions.atan   = functions.arctan
functions.asinh  = functions.arcsinh
functions.acosh  = functions.arccosh
functions.atanh  = functions.arctanh

functions.tg     = functions.tan
functions.arctg  = functions.arctan
functions.arctgh = functions.arctanh
